geode-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Kirk Lund (JIRA)" <j...@apache.org>
Subject [jira] [Created] (GEODE-2558) Upgrade mockito dependency
Date Wed, 01 Mar 2017 01:23:45 GMT
Kirk Lund created GEODE-2558:
--------------------------------

             Summary: Upgrade mockito dependency
                 Key: GEODE-2558
                 URL: https://issues.apache.org/jira/browse/GEODE-2558
             Project: Geode
          Issue Type: Wish
          Components: build, tests
            Reporter: Kirk Lund


Mockito should be upgrade from 1.x to 2.x.

1.10.19 (Dec, 2014) <-- current version
2.7.11 (Feb 2017)

This requires updating Powermock as well.

Changes to dependency-versions.properties:
{noformat}
-mockito-core.version = 1.10.19
+mockito-core.version = 2.7.11
...
-powermock.version = 1.6.6
+powermock.version = 1.7.0RC2
{noformat}

The upgrade from Mockito 1.x to 2.x includes breaking APIs. Even after updating the APIs to
compile, I still see a number of unit tests that use Mockito failing. These tests span all
of the components in Geode so it's a non-trivial upgrade.




--
This message was sent by Atlassian JIRA
(v6.3.15#6346)

Mime
View raw message